# 💪 Why Kubernetes Goat - Motivation

[Madhu Akula](#author) is the creator of Kubernetes Goat. It all started with tinkering with tools and technologies for me, when I find something new or interesting I always try it out first, and sometimes I even end up missing reading the documentation (I know it's a bad habit and I learned my lessons 😉). I come from a security background and interests in systems, and infrastructure since the beginning. So when I was doing some vulnerability research and finding security issues in applications, products, and software. I found a simple app sec bug in the Docker website in 2014 and as always my love for cool tools itching me to try it out. So in  2015, I had given a try and I was amazed at the problem is solved and looked like magic 🧙‍♂️. 

When I generally try out tools I used to look at things in different ways, 2 of them includes how can I find security issues in them or can I use this for security automation or scalable way to solve security problems.

Even though I come from a heavy security background, I am always passionate about systems and infrastructure. Which made to learn more about how Docker can solve a ton of problems in the world (the popular one being I don’t know why it doesn’t work for you. It works on my machine 😂). I learned more about the non-security side of things like a user and understood more and more use cases, configurations, etc. Then as usual my security trigger asked me to poke around security issues and misconfigurations while learning. So I ended up finding a lot of security misconfigurations, and issues. Then slowly the same thing happened with  Kubernetes and its cloud native ecosystem as well. So I thought why don't I share my knowledge with this world the same way I learn things (practical hands-on way) and how the security community learns (by playing with intentionally vulnerable scenarios) so that they can learn the common security issues, misconfigurations, real-world hacks. 

I also don't want to focus this only on security people, because when I look back most of the security issues in cloud native environments are misconfigurations. So I thought why not make this useful for everyone like attackers & red teams can learn how to hack and find security issues by playing with scenarios. While defenders & blue teams understand the attacker's thinking and mitigate or detect them. 

The biggest value I wanted to add to the community was how non-security people like developers, DevOps, architects, and other teams. I can give a simple example, let's say when we are writing the Kubernetes manifests by the DevOps team or Dockerfile by developers if we can bake security then it's a game-changer. Most of the security misconfigurations (The Red Hat [State of Kubernetes security report](https://www.redhat.com/en/blog/state-kubernetes-security) states that 94% of responders have reported the security incident, and the major cause was due to misconfigurations) can be prevented before they even leave their IDE or code editors. I also feel that DevOps teams and developers have more influence and power to push a secure ecosystem as they understand the technology and context way better than security teams so teaching them how attackers think, security misconfigurations made so that they can fix by learning how to apply best practices and using tools and techniques like code linters, tools, documentation.

Then while I started sharing this with the community, I have seen a lot of security vendors, companies, and products start using this in their sales calls and selling as a way to showcase their product effectiveness. So I thought why not open source projects like these add value to even open-source tools, commercial vendors, and companies so that they can validate if they are buying the right product or if their tool detects real-world and common security issues. So I ended up how can we add value to the products & vendors to use this tool as a way to test their product effectiveness and also to teach their product or tool to customers and users like an interactive education playground using scenarios.

To be honest, there is a lot more scope than what I have imagined, and I see a ton of potential value to the whole cloud native ecosystem and communities how this project can add value. So keep an eye out and spread the word. There are a ton of more cool things on the way, and I would love to hear your feedback, suggestions, and inputs 🙏


## Author

[Madhu Akula](https://madhuakula.com) is a pragmatic security leader and creator of [Kubernetes Goat](https://github.com/madhuakula/kubernetes-goat), an intentionally vulnerable by design Kubernetes Cluster to learn and practice Kubernetes Security. Also published author and cloud native security researcher with extensive experience. Also, he is an active member of the international security, DevOps, and cloud native communities ([null, DevSecOps, AllDayDevOps, AWS, CNCF, USENIX, OWASP, etc](https://madhuakula.com#volunteering)). Holds industry [certifications](https://madhuakula.com#accomplishments) like OSCP (Offensive Security Certified Professional), CKA (Certified Kubernetes Administrator), etc.

Madhu frequently [speaks and runs training sessions](https://madhuakula.com/event/) at security events and conferences around the world including DEFCON (24, 26, 27 & 29), BlackHat (2018, 19 & 21), USENIX LISA (2018, 19 & 21), SANS Cloud Security Summit 2021 & 2022, O’Reilly Velocity EU 2019, GitHub Satellite 2020, Appsec EU (2018 & 19), All Day DevOps (2016, 17, 18, 19, 20 & 21), DevSecCon (London, Singapore, Boston), DevOpsDays India, c0c0n(2017, 18 & 20), Nullcon (2018, 19 & 21), SACON 2019, Serverless Summit, null and multiple others.

His research has identified vulnerabilities in over 200+ companies and organizations including; Google, Microsoft, LinkedIn, eBay, AT&T, WordPress, NTOP, Adobe, etc and is credited with multiple [CVEs](https://madhuakula.com/publication/security-vulnerabilities-advisories/), [Acknowledgements](https://madhuakula.com/publication/security-vulnerabilities-acknowledgements/) and rewards. He is co-author of [Security Automation with Ansible2](https://www.secautomationbook.com/) (ISBN-13: 978-1788394512), which is listed as a technical resource by [Red Hat Ansible](https://www.ansible.com/resources/ebooks/security-automation-with-ansible-2). He is the technical reviewer for Learn Kubernetes Security, Practical Ansible2 books by Packt Pub. Also won 1st prize for building Infrastructure Security Monitoring solution at [InMobi flagship hackathon](https://inmobihackdaysummer2015.devpost.com) among 100+ engineering teams.
